# $Id: rpm-macros-razorsedge.spec 894 2008-06-07 19:32:00Z rpmbuild $
# repo: RE
# restrictions:

%{!?dist: %{error:You need to use "--define='dist something'" on the commandline. Try aix4.3, aix5.1, aix5.2, aix5.3, sol8, sol9, sol10, el4, el3, el2, fc5, fc4, fc3, fc2, fc1, rh9, or rh7.} %quit}

# All these defines are here simply because this package is the one that
# creates the defines.  Kind of chicken and egg.
%{expand: %%define %dist 1}
%{expand: %%define reltag %dist}
%{expand: %%define disttag %dist}
%if "%_os" == "solaris"
%define RErelease() %(if [ `ps -f|ggrep -q -- " -[b]s ";echo $?` -eq 0 ]; then echo %1.%{repotag}; else echo %1.%{disttag}.%{repotag}; fi)
%define REdist %(if [ `ps -f|ggrep -q -- " -[b]s ";echo $?` -eq 0 ]; then echo src; else echo %{disttag}; fi)
%else
%define RErelease() %(if [ $(ps -f|grep -q -- " -[b]s ";echo $?) -eq 0 ]; then echo %1.%{repotag}; else echo %1.%{disttag}.%{repotag}; fi)
%define REdist %(if [ $(ps -f|grep -q -- " -[b]s ";echo $?) -eq 0 ]; then echo src; else echo %{disttag}; fi)
%endif
Packager: RazorsEdge Packaging <rpmpackaging@razorsedge.org>
Distribution: RazorsEdge %REdist
Vendor: RazorsEdge Packaging <http://rpm.razorsedge.org/>
%define repotag re

%define RpmrcNotOk FALSE


Summary: RPM macros used by the RazorsEdge project
Name: rpm-macros-razorsedge
Version: 3
Release: %RErelease 3
Epoch: 0
License: GPL
Group: Development/Tools
URL: http://rpm.razorsedge.org/
Source0: rpmmacros
Source1: mkbuildenv
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if "%_vendor" == "redhat"
#Requires: rpmdevtools
#Requires: fedora-rpmdevtools
Requires: /usr/lib/rpm/check-rpaths
%endif
%if "%_os" == "aix"
Requires: autoconf, automake, bash, binutils, coreutils, gawk, grep
Requires: gcc, libtool, make, perl, sed, tar
BuildRequires: coreutils
%define __install /opt/freeware/bin/install
%define _sysconfdir /etc
%endif
%if "%_os" == "solaris"
#BuildRequires: /opt/sfw/bin/ginstall, /bin/bash, /usr/sfw/bin/ggrep
%define __install /opt/sfw/bin/ginstall
%define _sysconfdir /etc
%endif

%description
RPM macros used by the RazorsEdge project.

%prep
%setup -T -c

%{__cat} <<EOF >macros.razorsedge
%if %{?dist:1}0
### Current distribution
%%dist %dist
%%%dist 1
%else
### Current distribution unknown in original buildsystem
%%dist unknown
%%unknown 1
%endif

%if "%dist" == "fc12"
%%fedora 12
### Fedora Core 12
%%errata 220
%endif
%if "%dist" == "fc11"
%%fedora 11
### Fedora Core 11
%%errata 210
%endif
%if "%dist" == "fc10"
%%fedora 10
### Fedora Core 10
%%errata 200
%endif
%if "%dist" == "fc9"
%%fedora 9
### Fedora Core 9
%%errata 190
%endif
%if "%dist" == "fc8"
%%fedora 8
### Fedora Core 8
%%errata 180
%endif
%if "%dist" == "fc7"
%%fedora 7
### Fedora Core 7
%%errata 170
%endif
%if "%dist" == "fc6"
%%fedora 6
### Fedora Core 6
%%errata 160
%endif
%if "%dist" == "fc5"
%%fedora 5
### Fedora Core 5
%%errata 150
%endif
%if "%dist" == "fc4"
%%fedora 4
### Fedora Core 4
%%errata 140
%endif
%if "%dist" == "fc3"
%%fedora 3
### Fedora Core 3
%%errata 130
%endif
%if "%dist" == "fc2"
%%fedora 2
### Fedora Core 2
%%errata 120
%endif
%if "%dist" == "fc1"
%%fedora 1
### Fedora Core 1
%%errata 110
%%_without_alsa 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "el5"
%%rhel 5
### Red Hat Enterprise Linux 5
%%errata 165
%endif
%if "%dist" == "el4"
%%rhel 4
### Red Hat Enterprise Linux 4
%%errata 135
%endif
%if "%dist" == "el3"
%%rhel 3
### Red Hat Enterprise Linux 3
%%errata 91
%%_without_alsa 1
%%_without_fribidi 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "el2"
%%rhel 2
### Red hat Enterprise Linux 2.1
%%errata 72
%%_without_alsa 1
%%_without_freedesktop 1
%%_without_fribidi 1
%%_without_gnomevfs2 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%__perl_provides /usr/lib/rpm/perl.prov
%%__perl_requires /usr/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "rh9"
%%rhl 9
### Red Hat Linux 9
%%errata 90
%%_without_alsa 1
%%_without_fribidi 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "rh8"
%%rhl 8
### Red Hat Linux 8.0
%%errata 80
%%_without_alsa 1
%%_without_fribidi 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%__perl_provides /usr/lib/rpm/perl.prov
%%__perl_requires /usr/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "rh7"
%%rhl 7
### Red Hat Linux 7.3
%%errata 73
%%_without_alsa 1
%%_without_freedesktop 1
%%_without_fribidi 1
%%_without_gnomevfs2 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%__perl_provides /usr/lib/rpm/perl.prov
%%__perl_requires /usr/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "rh6"
%%rhl 6
### Red Hat Linux 6.2
%%errata 62
%%_without_alsa 1
%%_without_freedesktop 1
%%_without_fribidi 1
%%_without_gnomevfs2 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%__perl_provides /usr/lib/rpm/perl.prov
%%__perl_requires /usr/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
%endif
%if "%dist" == "aix5.3"
%%aix 5
### IBM AIX 5L V5.3
%endif
%if "%dist" == "aix5.2"
%%aix 5
### IBM AIX 5L V5.2
%endif
%if "%dist" == "aix5.1"
%%aix 5
### IBM AIX 5L V5.1
%endif
%if "%dist" == "aix4.3"
%%aix 4
### IBM AIX V4.3
%endif
%if "%_os" == "aix"
%%_without_alsa 1
%%_without_freedesktop 1
%%_without_fribidi 1
%%_without_gnomevfs2 1
%%_without_theora 1

#------------------------------------------------------------------------------
%%__perl_provides %{_prefix}/lib/rpm/perl.prov
%%__perl_requires %{_prefix}/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
#------------------------------------------------------------------------------
%%__awk			/opt/freeware/bin/awk
%%__cat			/opt/freeware/bin/cat
%%__chgrp		/opt/freeware/bin/chgrp
%%__chmod		/opt/freeware/bin/chmod
%%__chown		/opt/freeware/bin/chown
%%__cp			/opt/freeware/bin/cp
%%__grep			/opt/freeware/bin/grep
%%__id			/opt/freeware/bin/id
%%__install		/opt/freeware/bin/install
%%__make			/opt/freeware/bin/make
%%__mkdir		/opt/freeware/bin/mkdir
%%__mkdir_p		%%{__mkdir} -p
%%__mv			/opt/freeware/bin/mv
%%__patch		/opt/freeware/bin/patch
%%__perl			/opt/freeware/bin/perl
%%__python		/opt/freeware/bin/python
%%__rm			/opt/freeware/bin/rm
%%__sed			/opt/freeware/bin/sed
%%__ssh			/usr/bin/ssh
%%__tar			/opt/freeware/bin/tar
%%__ar			/opt/freeware/bin/ar
%%__cc			/opt/freeware/bin/gcc
%%__cpp			/opt/freeware/bin/gcc -E
%%__nm			/opt/freeware/bin/nm
%%__objcopy		/opt/freeware/bin/objcopy
%%__objdump		/opt/freeware/bin/objdump
%%__libtoolize		/opt/freeware/bin/libtoolize
%%__aclocal		/opt/freeware/bin/aclocal
%%__autoheader		/opt/freeware/bin/autoheader
%%__automake		/opt/freeware/bin/automake
%%__autoconf		/opt/freeware/bin/autoconf
%%_buildshell		/opt/freeware/bin/bash
#------------------------------------------------------------------------------
%%_initrddir		/etc/rc.d/init.d

%endif
%if "%dist" == "sol8"
%% sol 8
### Sun Solaris 8
%endif
%if "%dist" == "sol9"
%% sol 9
### Sun Solaris 9
%endif
%if "%dist" == "sol10"
%% sol 10
### Sun Solaris 10
%endif
%if "%_os" == "solaris"
%%_without_alsa 1

#------------------------------------------------------------------------------
%%__perl_provides %{_prefix}/lib/rpm/perl.prov
%%__perl_requires %{_prefix}/lib/rpm/perl.req
%%perl_sitearch   %%(eval "\`%%{__perl} -V:installsitearch\`"; echo \$installsitearch)
%%perl_sitelib    %%(eval "\`%%{__perl} -V:installsitelib\`"; echo \$installsitelib)
%%perl_vendorarch %%(eval "\`%%{__perl} -V:installvendorarch\`"; echo \$installvendorarch)
%%perl_vendorlib  %%(eval "\`%%{__perl} -V:installvendorlib\`"; echo \$installvendorlib)
%%perl_archlib    %%(eval "\`%%{__perl} -V:installarchlib\`"; echo \$installarchlib)
%%perl_privlib    %%(eval "\`%%{__perl} -V:installprivlib\`"; echo \$installprivlib)
#------------------------------------------------------------------------------
%if "%dist" == "sol10"
%%__file			/usr/sfw/bin/gfile
%%__grep			/usr/sfw/bin/ggrep
%%__make			/usr/sfw/bin/gmake
%%__tar			/usr/sfw/bin/gtar
%%__ar			/usr/sfw/bin/gar
%%__cc			/usr/sfw/bin/gcc
%%__cpp			/usr/sfw/bin/gcc -E
%%__nm			/usr/sfw/bin/gnm
%%__objcopy		/usr/sfw/bin/gobjcopy
%%__objdump		/usr/sfw/bin/gobjdump
%%__strip		/usr/sfw/bin/gstrip
%endif
%if "%dist" == "sol8"
%%__file			/opt/sfw/bin/gfile
%%__grep			/opt/sfw/bin/ggrep
%%__make			/opt/sfw/bin/gmake
%%__tar			/opt/sfw/bin/gtar
%%__ar			/opt/sfw/bin/gar
%%__cc			/opt/sfw/bin/gcc
%%__cpp			/opt/sfw/bin/gcc -E
%%__nm			/opt/sfw/bin/gnm
%%__objcopy		/opt/sfw/bin/gobjcopy
%%__objdump		/opt/sfw/bin/gobjdump
%%__strip		/opt/sfw/bin/gstrip
%endif
%%__awk			/opt/sfw/bin/gawk
%%__cat			/opt/sfw/bin/gcat
%%__chgrp		/opt/sfw/bin/gchgrp
%%__chmod		/opt/sfw/bin/gchmod
%%__chown		/opt/sfw/bin/gchown
%%__cp			/opt/sfw/bin/gcp
#%%__gpg			/usr/csw/bin/gpg
%%__id			/opt/sfw/bin/gid
%%__install		/opt/sfw/bin/ginstall
%%__mkdir		/opt/sfw/bin/gmkdir
%%__mkdir_p		%%{__mkdir} -p
%%__mv			/opt/sfw/bin/gmv
%%__patch		/usr/bin/gpatch
%%__perl			/usr/bin/perl
%%__python		/usr/sfw/bin/python
%%__rm			/opt/sfw/bin/grm
%%__sed			/opt/sfw/bin/gsed
%%__ssh			/usr/bin/ssh
%%__as			/opt/sfw/bin/gas
%%__ld			/opt/sfw/bin/gld
%%__ranlib		/opt/sfw/bin/granlib
%%__libtoolize		/opt/sfw/bin/libtoolize
%%__aclocal		/opt/sfw/bin/aclocal
%%__autoheader		/opt/sfw/bin/autoheader
%%__automake		/opt/sfw/bin/automake
%%__autoconf		/opt/sfw/bin/autoconf
%%_buildshell		/bin/bash
#------------------------------------------------------------------------------
%%_initrddir		/etc/init.d

# The make install analogue of %%configure:
%%makeinstall \\\

  %%__make \\\\\\\

	prefix=%%{?buildroot:%%{buildroot}}%%{_prefix} \\\\\\\

	exec_prefix=%%{?buildroot:%%{buildroot}}%%{_exec_prefix} \\\\\\\

	bindir=%%{?buildroot:%%{buildroot}}%%{_bindir} \\\\\\\

	sbindir=%%{?buildroot:%%{buildroot}}%%{_sbindir} \\\\\\\

	sysconfdir=%%{?buildroot:%%{buildroot}}%%{_sysconfdir} \\\\\\\

	datadir=%%{?buildroot:%%{buildroot}}%%{_datadir} \\\\\\\

	includedir=%%{?buildroot:%%{buildroot}}%%{_includedir} \\\\\\\

	libdir=%%{?buildroot:%%{buildroot}}%%{_libdir} \\\\\\\

	libexecdir=%%{?buildroot:%%{buildroot}}%%{_libexecdir} \\\\\\\

	localstatedir=%%{?buildroot:%%{buildroot}}%%{_localstatedir} \\\\\\\

	sharedstatedir=%%{?buildroot:%%{buildroot}}%%{_sharedstatedir} \\\\\\\

	mandir=%%{?buildroot:%%{buildroot}}%%{_mandir} \\\\\\\

	infodir=%%{?buildroot:%%{buildroot}}%%{_infodir} \\\\\\\

  install

%endif
#------------------------------------------------------------------------------

### Vendor macros
### START defined in ~/.rpmmacros
#%%packager		RazorsEdge Packaging <rpmpackaging@razorsedge.org>
#%%distribution		RazorsEdge %%REdist
#%%vendor		RazorsEdge Packaging <http://rpm.razorsedge.org/>
#%%repotag		re
#
##%%_signature		gpg
##%%_gpg_name		RazorsEdge Packaging (RPM Signing Key) <rpmpackaging@razorsedge.org>
#
## _topdir defines the top directory to be used for RPM building purposes
#%%_topdir		%%(echo \${HOME})/rpmbuild
#%%_builddir		%%{_topdir}/BUILD
#%%_buildroot		%%{_tmppath}/%%{name}-%%{version}-root
#%%_rpmdir		%%{_topdir}/RPMS/%%{dist}
#%%_sourcedir		%%{_topdir}/SOURCE/%%{name}-%%{version}
#%%_specdir		%%{_sourcedir}
#%%_srcrpmdir		%%{_topdir}/SRPMS
#%%_tmppath		%%{_topdir}/tmp
#
## Have built RPMs land in RPMS/ instead of RPMS/<arch>/
#%%_rpmfilename		%%%{NAME}-%%%{VERSION}-%%%{RELEASE}.%%%{ARCH}.rpm
#
## Stop creation of debug packages.
#%%debug_package		%%{nil}
#
## http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/RELEASE-NOTES-en_US.html#sn-ArchSpecific
#%%_query_all_fmt		%%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch}
#
## Spot recommends these (Summit 2007):
#%%_smp_mflags		-j3
#%%__arch_install_post	\\
#    /usr/lib/rpm/check-rpaths \\
#    /usr/lib/rpm/check-buildroot \\
#%%{nil}
### END defined in ~/.rpmmacros

%%reltag			%%dist
%%disttag		%%dist
%if "%_os" == "solaris"
%%RErelease()		%%(if [ \`ps -f|ggrep -q -- " -[b]s ";echo \$?\` -eq 0 ]; then echo %1%%{?repotag:.%%{repotag}}; else echo %1.%%{disttag}%%{?repotag:.%%{repotag}}; fi)
%%REdist			%%(if [ \`ps -f|ggrep -q -- " -[b]s ";echo \$?\` -eq 0 ]; then echo src; else echo %%{disttag}; fi)
%else
%%RErelease()		%%(if [ \$(ps -f|grep -q -- " -[b]s ";echo \$?) -eq 0 ]; then echo %1%%{?repotag:.%%{repotag}}; else echo %1.%%{disttag}%%{?repotag:.%%{repotag}}; fi)
%%REdist			%%(if [ \$(ps -f|grep -q -- " -[b]s ";echo \$?) -eq 0 ]; then echo src; else echo %%{disttag}; fi)
%endif

EOF

%if "%dist" == "fc2"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.*:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:~/.rpmmacros
EOF
%endif
%if "%dist" == "fc1"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.prelink:/etc/rpm/macros.solve:/etc/rpm/macros.up2date:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "el3"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.prelink:/etc/rpm/macros.solve:/etc/rpm/macros.up2date:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "rh9"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.prelink:/etc/rpm/macros.solve:/etc/rpm/macros.up2date:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "rh8"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.prelink:/etc/rpm/macros.solve:/etc/rpm/macros.up2date:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "rh7"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.db1:/etc/rpm/macros.cdb:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "el2"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.db1:/etc/rpm/macros.cdb:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "rh6"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:	/usr/lib/rpm/macros:/usr/lib/rpm/%{_target}/macros:/usr/lib/rpm/redhat/macros:/etc/rpm/macros.specspo:/etc/rpm/macros.db1:/etc/rpm/macros.cdb:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.jpackage:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "aix5.3"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/freeware/lib/rpm/macros:/opt/freeware/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "aix5.2"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/freeware/lib/rpm/macros:/opt/freeware/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "aix5.1"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/freeware/lib/rpm/macros:/opt/freeware/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "aix4.3"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/freeware/lib/rpm/macros:/opt/freeware/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "sol10"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/sfw/lib/rpm/macros:/opt/sfw/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "sol9"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/sfw/lib/rpm/macros:/opt/sfw/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif
%if "%dist" == "sol8"
%define RpmrcNotOk TRUE
%{__cat} <<EOF >rpmrc
macrofiles:     /opt/sfw/lib/rpm/macros:/opt/sfw/lib/rpm/%{_target}/macros:/etc/rpm/macros.specspo:/etc/rpm/macros:/etc/rpm/%{_target}/macros:/etc/rpm/macros.razorsedge:~/.rpmmacros
EOF
%endif

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m0644 %{SOURCE0} %{SOURCE1} .
%{__install} -D -m0644 macros.razorsedge %{buildroot}%{_sysconfdir}/rpm/macros.razorsedge
%if "%RpmrcNotOk" == "TRUE"
%{__install} -D -m0644 rpmrc %{buildroot}%{_sysconfdir}/rpmrc
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc rpmmacros mkbuildenv
%{_sysconfdir}/rpm/macros.razorsedge
%if "%RpmrcNotOk" == "TRUE"
%config %{_sysconfdir}/rpmrc
%endif

%changelog
* Sun Jul 19 2009 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3-3
- Added Fedora 11 and 12 support.

* Sat Jun 07 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3-2
- Added Fedora 9 and 10 support.

* Fri Jul 20 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 3-1
- Updated rpmmacros to reflect new settings (_smp_mflags, __arch_install_post)
  used to build packages.

* Sat Jun  2 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2-2
- Added Fedora 7 and 8 support.
- Added missing %%errata to RHEL 5.

* Sun Dec 24 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2-1
- Added Conditionals (a la Fedora): %rhel, %fedora, %rhl, %aix, and %sol.

* Mon Sep 11 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-9
- Added __python to AIX and Solaris.

* Mon Aug 21 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-8
- Fixed define for __install on AIX.

* Sun Jun 04 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-7
- Added support for Solaris.

* Thu Apr 20 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-6
- Added macros.jpackage to el3 /etc/rpmrc.
- Fixed missing SOURCE in mkbuildenv.

* Fri Mar 31 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-5
- Added Fedora Core 5 support.

* Mon Jan 02 2006 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-5
- Added support for AIX.

* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-4
- Forgot to add /usr/lib/rpm/redhat/macros to rpmrc.

* Wed Dec 07 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-3
- Added documentation.

* Tue Dec 06 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-2
- Added perl bits to macros file.
- Fixed RErelease() to work properly depending on source or binary build.

* Sun Nov 27 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1-1
- First build.

* Tue Jun 08 2004 Dag Wieers <dag@wieers.com> - 0-1
- Initial package. (using DAR)

